1
Zaphod
Please post modules that you know DON'T WORK in Xoops 2.2.2
  • 2005/8/25 3:53

  • Zaphod

  • Not too shy to talk

  • Posts: 104

  • Since: 2005/4/17


I thought I'd start up two topic to try and find out which modules are or aren’t compatible with XOOPS 2.2.2

2
Arowana
Re: Please post modules that you know DON'T WORK in Xoops 2.2.2
  • 2005/8/25 5:32

  • Arowana

  • Friend of XOOPS

  • Posts: 323

  • Since: 2004/8/6 2


at the moment xRoster 2.0 does not work with 2.2 XOOPS but is currently being recoded to the changed version of Xoops. Please give us a week or two.
Arowana

3
asongo
Re: Please post modules that you know DON'T WORK in Xoops 2.2.2
  • 2005/8/25 6:29

  • asongo

  • Just popping in

  • Posts: 11

  • Since: 2005/8/25


xoopsheadline - can't add new site.
uservisit - MySQL problem,can't insert into table
xmonitor - same as uservisit

4
metropolis
Re: Please post modules that you know DON'T WORK in Xoops 2.2.2
  • 2005/8/25 8:00

  • metropolis

  • Not too shy to talk

  • Posts: 159

  • Since: 2004/7/15


I can't understand, why it is so difficult to set up an "official" list of modules that do work and those that don't work. There are tons of different threads dealing with the same things.

Module: WF-Links: recent links do not appear in block on main page.

5
dargosch
Re: Please post modules that you know DON'T WORK in Xoops 2.2.2
  • 2005/8/25 8:07

  • dargosch

  • Friend of XOOPS

  • Posts: 118

  • Since: 2004/12/21


Quote:

metropolis wrote:
I can't understand, why it is so difficult to set up an "official" list of modules that do work and those that don't work. There are tons of different threads dealing with the same things.


I'm not sure about the feasability of this, but I think such a feature would be greatly appreciated. Perhaps a publicly editable wiki page?

Searching through the fora for clues grows very old very fast...
My Gentoo + PVR-350 + IVTV + MythTV blog is on
http://gentoomythtv.blogspot.com/

6
brash
Re: Please post modules that you know DONT WORK in Xoops 2.2.2
  • 2005/8/25 8:33

  • brash

  • Friend of XOOPS

  • Posts: 2206

  • Since: 2003/4/10


My suggestion would be that if you want a list of XOOPS 2.2.x compatible modules compiled, then turn your words into action and kindly ask one of the site admins to make you list a sticky post in the forums. XOOPS 2.2 is THE biggest step for XOOPS since the initial 2.0 branch around three years ago.
IT Headquarters
Innovative IT Solutions

7
Peekay
Re: Please post modules that you know DONT WORK in Xoops 2.2.2
  • 2005/8/25 9:13

  • Peekay

  • XOOPS is my life!

  • Posts: 2335

  • Since: 2004/11/20


I agree that something needs to be done about this. I have seen half a dozen threads asking for compatibility information and a lot of posts from users who are confused about which XOOPS version to use.

Rather than create a compatibility list, which would involve testing every module, I suggested core team create a separate 2.2 module section in downloads and only transfer modules into it when:

a) the developer has categorically stated it is compatible

or

b) they have had reliable reports from users that it works (as Brash has suggested, via a dedicated forum).

At present, if it existed, this section of downloads would contain very few modules, but that is better than the complete hit and miss situation we have now. The only safe assumption to make at present is that none of the modules work in 2.2 unless they say they do.

It seems a shame that considering the hard work put into developing 2.2 so many new users are being dissapointed with their experience of XOOPS because they cannot see which modules function. It certainly puts me off upgrading.

Resolving this would involve some work for the core team, but I am certain it would be small by comparison to coding a new version of Xoops.
A thread is for life. Not just for Christmas.

8
Mithrandir
Re: Please post modules that you know DON'T WORK in Xoops 2.2.2

Quote:

metropolis wrote:
I can't understand, why it is so difficult to set up an "official" list of modules that do work and those that don't work. There are tons of different threads dealing with the same things.


I can't understand, why it is that noone makes such a list - or lets the thread become such a list, that could be easily sticky'ed, by NOT commenting back and forth, but just writing module names.

Mainly, I'm very puzzled that so few module developers have showed much interest in understanding WHY their modules don't work on XOOPS 2.2.

I mean - if 90% of the modules fail because of a small change we made in the core, then we could perhaps change it back or make a work-around that would mean that the 90% of modules worked again.
It could be that 90% of the modules that do fail, do so because they are not using the core as we want them to - which is not so easy to bring back - but we don't really know until developers (or interested users) check the modules and report back.

But people are only interested in black/white, works/doesn't work statements, it seems.

edit: And until we have finalised the release of a version that addresses the last quirks, fixing several compatibility issues, I doubt that this list would be of much use.

F.example, News 1.4 doesn't work 100% correctly with XOOPS 2.2.2 - but it will work on 2.2.3 that I am currently preparing.
"When you can flatten entire cities at a whim, a tendency towards quiet reflection and seeing-things-from-the-other-fellow's-point-of-view is seldom necessary."

Cusix Software

9
davidl2
Re: Please post modules that you know DONT WORK in Xoops 2.2.2
  • 2005/8/25 16:27

  • davidl2

  • XOOPS is my life!

  • Posts: 4843

  • Since: 2003/5/26


I will be in the process of moving the CBB site to a XOOPS 2.2.x site in the next few days.

I will install phppp's Wiki on this site, and allow a few trusted people to build a 2.2.x compatibility list - if you wish Mith

However, this is depending on people not abusing it... if its abused - then this will be removed.

Thanks

10
Mithrandir
Re: Please post modules that you know DONT WORK in Xoops 2.2.2

Thanks, David. Much appreciated.

Mainly we need a simple way for some people to add items to the list, without it being abused, going in the wrong direction and moderated by someone. I don't think a forum thread will do much in that respect, so we do need something like a moderated wiki or similar.
"When you can flatten entire cities at a whim, a tendency towards quiet reflection and seeing-things-from-the-other-fellow's-point-of-view is seldom necessary."

Cusix Software

Login

Who's Online

56 user(s) are online (30 user(s) are browsing Support Forums)


Members: 0


Guests: 56


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Jul 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits